// ==UserScript==
// @name              T-大树-定时打开
// @author            tianyunperfect
// @description       简介  https://git.tianyunperfect.cn/tianyunperfect/web-base/raw/master/monkey/bigtree/time_open.js
// @version           1.0.3
// @update            2022年11月19日10:16:10
// @include           https://git.int.bigtree.tech/rxdp/dm
// @require           https://git.tianyunperfect.cn/tianyunperfect/web-base/raw/master/monkey/util.js?a=2022年11月19日10:10:09


// ==/UserScript==
(async () => {
    let elements =await  getDomAll('a[data-testid="group-name"]');
    console.log(elements);
    while (true) {
        await sleep(getRandomInt(15 * 60 * 1000, 40 * 60 * 1000));
        window.open(getOneFromArray(elements).href);
    }
})();